Subject: Re: [dhcwg] extending the DHCPv4 option space, VSO usage -- was: Re: issues with draft-grochla-80211-dhcp-option-00

From: Thomas Narten <[email-masked]>
Date: Mon, 04 Oct 2010 09:42:39 -0400

"Glen Zorn" <[email-masked]> writes:

> Ted Lemon [mailto://[email-masked]] writes:

> ...
> > ...I still think that this sort of option isn't what vendor options are
> for--
> > my understanding of vendor options is that they're for vendors--e.g.,
> > Cisco, not IEEE.

> Maybe.  However, that makes the DHCP usage of the vendor-specific construct
> considerably more limited than other IETF protocols (e.g. RADIUS & Diameter
> (in which even the IETF is considered a "vendor", assigned the vendor-id of
> 0)).

FWIW, I've never been a fan of other SDOs using vendor ids. Yes, its
been done, but that doesn't make it right.  If an SDO needs something
standardized, by definition multiple vendors will implement it, you
need interoperability, etc. That by definition is what a standard is,
and argues for getting the work done properly and reviewed by the
IETF.

Vendor IDs are really intended for a single vendor, where you don't
have multiple vendors needing to interoperate.

Thomas